import * as _nuxt_schema from '@nuxt/schema';
import { CodeToHastOptions, BundledTheme, BundledLanguage } from 'shiki';

type HighlightOptions = Partial<CodeToHastOptions> & {
    unwrap?: boolean;
};

interface ModuleOptions {
    /** Themes */
    bundledThemes?: BundledTheme[];
    /** Languages */
    bundledLangs?: BundledLanguage[];
    /** Default theme */
    defaultTheme?: BundledTheme | Record<'dark' | 'light' | (string & {}), BundledTheme>;
    /** Default language */
    defaultLang?: BundledLanguage;
    /** Additional highlight options */
    highlightOptions?: HighlightOptions;
    /**
     * Alias of languages
     * @example { 'my-lang': 'javascript' }
     */
    langAlias?: Record<string, string>;
}
declare const _default: _nuxt_schema.NuxtModule<ModuleOptions>;

export { type ModuleOptions, _default as default };
