export async function loadShiki() {
  if (globalThis.__nuxt_shiki__) {
    return globalThis.__nuxt_shiki__;
  }
  globalThis.__nuxt_shiki__ = _loadShiki();
  globalThis.__nuxt_shiki__ = await globalThis.__nuxt_shiki__;
  return globalThis.__nuxt_shiki__;
}
async function _loadShiki() {
  const [{ loadWasm, getHighlighterCore }, { loadShikiConfig }] = await Promise.all([
    import("shiki/core"),
    import("shiki-config.mjs")
  ]);
  const [$config] = await Promise.all([
    loadShikiConfig(),
    loadWasm(import("shiki/wasm"))
  ]);
  const highlighter = await getHighlighterCore($config.coreOptions).then(
    (h) => ({
      ...h,
      highlight: (code, highlightOptions) => {
        return h.codeToHtml(code, {
          ...$config.highlightOptions,
          ...highlightOptions,
          lang: highlightOptions.lang || $config.highlightOptions.lang,
          transformers: [
            ...highlightOptions.unwrap ? [unwrap] : [],
            ...highlightOptions.transformers || []
          ]
        });
      }
    })
  );
  return highlighter;
}
const unwrap = {
  name: "unwrap",
  root: (root) => {
    const preEl = root.children[0];
    const codeEl = preEl.children[0];
    return {
      type: "root",
      children: [
        {
          ...codeEl,
          properties: {
            ...preEl.properties,
            ...codeEl.properties
          }
        }
      ]
    };
  }
};
