import { type Ref } from 'vue';
import type { HighlightOptions } from './types';
/**
 * Return a lazy highlighted code ref (only usable in Vue)
 *
 * @example
 * ```vue
 * <script setup>
 * const code = ref(`const hello = 'shiki'`)
 * const highlighted = await useHighlighted(code)
 * </script>
 * ```
 */
export declare function useHighlighted(code: string | Ref<string>, options?: HighlightOptions & {
    highlighted?: string;
}): Promise<Ref<string>>;
